#include "mp_simulation.h"

void check_inf(map<int,double> x, int k){
  map<int,double>::iterator itr;
  itr = x.find(k);
  if (itr != x.end()) cerr << setw(5) << itr->second << " ";
  else cerr << setw(5) << "-inf" << " ";
}

void output_input(const string &cn, map<int,double>** c, const string &cin, map<int,double> ci, const string &cvn, map<int,double> cv, int a, int n, bool trans){
  cerr << cn << ":" << endl;
  for (int i = 0; i < a; i++){
    for (int j = 0; j < n; j++){
      for (int k = 0; k < n; k++){
        if (trans) check_inf(c[i][k],j);
        else check_inf(c[i][j],k);
      }
      cerr << endl;
    }
    cerr << endl;
  }
  
  cerr << cin << ":" << endl;
  for (int i = 0; i < n; i++) check_inf(ci,i);
  cerr << endl;
  cerr << cvn << ":" << endl;
  for (int i = 0; i < n; i++) check_inf(cv,i);
  cerr << endl;
}